# NFTSellOffersRequest | xrpl
Documentation for xrpl

# Interface NFTSellOffersRequest

The `nft_sell_offers` method retrieves all of sell offers for the specified NFToken.

#### Hierarchy

- BaseRequest
  - NFTSellOffersRequest

- Defined in packages/xrpl/src/models/methods/nftSellOffers.ts:11

#####
Index

### Properties

api_version?
command
id?
nft_id

## Properties

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BaseRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:14

### command

command: "nft_sell_offers"

Overrides BaseRequest.command

- Defined in packages/xrpl/src/models/methods/nftSellOffers.ts:12

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BaseRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:10

### nft_id

nft_id: string

The unique identifier of an NFToken. The request returns sell offers for this NFToken.

- Defined in packages/xrpl/src/models/methods/nftSellOffers.ts:16

Generated using TypeDoc